@import url('https://fonts.googleapis.com/css2?family=Racing+Sans+One&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root{
    --main-color: #2445ff;
    --second-color: #14a4f7;
    --text-color: #080a08;
    --text-alter-color: #969e96;
    --third-color: #28e4fd;
    --bg-color: #fff;
    --container-color: #e4ebec;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    scroll-padding-top: 2rem;
    font-family: "Roboto", sans-serif;
}
img{
    width: 100%;
}
a{
    text-decoration: none;
}
section{
    padding: 3rem 0 2rem;
}
.container{
    max-width: 1060px;
    width: 100%;
    margin: auto;
}
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100;
    background: var(--container-color);
    border-bottom: 1px solid #c9cdce;
}
.nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 0;
}
.logo{
    font-size: 1.2rem;
    line-height: 1.2rem;
    padding: 0 2px;
    border: 2px solid var(--second-color);
    font-weight: 500;
    color: var(--bg-color);
    background-color: var(--text-color);
    text-transform: uppercase;
}
.navbar{
    display: flex;
    align-items: center;
    column-gap: 1.5rem;
}
.nav-link{
    font-size: 0.9rem;
    font-weight: 500;
    color: var(--text-color);
    text-transform: uppercase;
}
.nav-link:hover{
    color: var(--main-color);
    transition: .4s ease-in-out;
}
.sign-up, .mobile-sign-up{
    font-size: 0.9rem;
    font-weight: 500;
    padding: 8px 16px;
    background: var(--text-color);
    color: var(--bg-color);
    text-transform: uppercase;
}
.sign-up:hover,
.mobile-sign-up:hover{
    background: var(--second-color);
    transition: .4s ease-in-out;
}
.mobile-sign-up{
    display: none;
}
.menu-icon{
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 5px;
    cursor: pointer;
    z-index: 200;
    transition: .4s;
}
.menu-icon div{
    display: block;
    background: var(--text-color);
    height: 2px;
    width: 24px;
    transition: .4s;
}
.move .line1{
    transform: rotate(-45deg) translate(-5px, 5px);
}
.move .line2{
    opacity: 0;
}
.move .line3{
    transform: rotate(45deg) translate(-5px, -5px);
}

/* Home */
.home{
    padding-top: 7rem;
    background: var(--container-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
}
.home h1{
    font-family: "Racing Sans One", sans-serif;
    font-size: 5.2rem;
    line-height: 4rem;
    background: var(--bg-color);
}
.home-content{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.5rem;
}
.home-data{
    display: grid;
    gap: 1.5rem;
}
.home-box{
    display: grid;
    gap: 4px;
}
.home-box h3{
    font-size: 0.9rem;
}
.home-box h2{
    font-size: 1rem;
    color: var(--second-color);
    text-transform: uppercase;
}
.border-home{
    padding-bottom: 10px;
    border-bottom: 1px solid #c9cdce;
}
.home-img{
    max-width: 650px;
    width: 100%;
}
.helmet-box img{
    max-width: 140px;
    width: 100%;
}
.helmet-box{
    display: grid;
    justify-items: center;
    gap: 10px;
    position: relative;
    z-index: 1;
}
.helmet-box::after{
    content: '';
    position: absolute;
    top: 60px;
    width: 120%;
    height: 124px;
    border: 2px solid #c9cdce;
    z-index: -1;
}
.helmet-box a{
    max-width: 100px;
    width: 100%;
    display: flex;
    align-items: baseline;
    justify-content: center;
    font-size: 0.9rem;
    text-transform: uppercase;
    font-weight: 500;
    color: var(--text-color);
    background: var(--third-color);
    padding: 2px 8px;
}
.helmet-box i{
    font-size: 18px;
}
.home-btns{
    display: flex;
    justify-content: center;
    gap: 10px;
}
.home-btns a{
    display: flex;
    align-items: center;
    gap: 4px;
    padding: 10px 14px;
    font-size: 0.85rem;
    font-weight: 600;
    color: var(--text-color);
    text-transform: uppercase;
}
.home-btns i{
    font-size: 17px;
}
.dealer-btn{
    background: var(--third-color);
}
.ride-btn{
    background: var(--bg-color);
}
.home-btns a:hover{
    background: var(--second-color);
    color: var(--bg-color);
    transition: .4s;
}
.heading{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-bottom: 2rem;
}
.heading span{
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: 1px;
    color: var(--second-color);
}
.heading h2{
    font-size: 1.8rem;
}
.bikes-content{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 1.5rem;
}
.bike-box{
    position: relative;
    padding: 15px;
    background: var(--bg-color);
    border: 1px solid hsl(0deg 0% 54% / 14%);
}
.bike-box:hover{
    box-shadow: 0 4px 16px rgb(0 0 0 / 10%);
    transition: .4s all cubic-bezier(0.075, 0.82, 0.165, 1);
}
.bike-img{
    max-width: 100%;
    width: 100%;
    height: 200px;
    object-fit: contain;
    object-position: center;
}
.tag{
    position: absolute;
    top: 1rem;
    left: 1rem;
    font-size: 0.7rem;
    font-weight: 500;
    color: #28a745;
    background: hsl(134, 61%, 41%, 0.14);
    padding: 2px 10px;
    border-radius: 0.5rem;
}
.title-price{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
}
.title-data h2{
    font-size: 1.1rem;
    margin-bottom: 0.5rem;
}
.title-data p{
    font-size: .8rem;
    color: var(--text-alter-color);
}
.bike-price{
    color: var(--second-color);
}
.bike-price span{
    font-size: 0.7rem;
    color: var(--text-alter-color);
}
.book-btn{
    display: flex;
    justify-content: center;
    padding: 12px;
    background: var(--second-color);
    color: var(--bg-color);
    font-size: 0.9rem;
    font-weight: 500;
    margin-top: 1rem;
}
.book-btn:hover{
    background: var(--main-color);
    transition: .4s;
}

/* Work */
.work .heading{
    align-items: center;
}
.work-container{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1.5rem;
}
.work-box{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 10px;
}
.work-box i{
    font-size: 1.6rem;
    color: var(--second-color);
    background: hsla(182, 93%, 52%, 0.07);
    padding: 12px;
    border-radius: 50%;
}
.work-title{
    font-size: 1.2rem;
    line-height: 1.35rem;
    margin: 1.4rem 0 0.7rem;
}
.work-description{
    font-size: .9rem;
}

/* Destanations */
.destinations{
    background: #f8f8f8;
}
.city-box{
    position: relative;
    width: 100%;
    height: 380px;
    overflow: hidden;
    margin-bottom: 4rem;
    transition: all .5s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.city-box:hover{
    transform: translateY(-10px);
    transition: all .5s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.city-img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.box-text{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 14px;
    background: linear-gradient(8deg, hsl(240 17% 14% / 74%) 14%, hsl(240 17% 14% / 14%) 44%);
    overflow: hidden;
}
.ct-title{
    font-size: 1.1rem;
    font-weight: 500;
    color: var(--bg-color);
}
.city-name{
    font-size: .92rem;
    color: var(--bg-color);
}

/* Reviews */
.reviews .heading{
    align-items: center;
}
.review-container{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
    gap: 1.5rem;
}
.review-box{
    padding: 15px;
    background: var(--bg-color);
    border: 1px solid hsl(0deg 0% 54% / 14%);
}
.review-box:hover{
    box-shadow: 0 4px 16px rgb(0 0 0 / 10%);
    transition: .4s all cubic-bezier(0.075, 0.82, 0.165, 1);
}
.review-box .stars i{
    font-size: 20px;
    color: #ffc107;
}
.review-box p{
    font-size: .9rem;
    margin: 1rem 0;
}
.profile{
    display: flex;
    align-items: center;
    gap: 0.5rem;
}
.profile img{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
    border: 2px solid var(--third-color);
}
.profile .name{
    font-size: 1rem;
}
.profile span{
    font-size: .85rem;
    font-weight: 500;
    color: var(--text-alter-color);
}

/* Footer */
.footer{
    background: var(--text-color);
    color: var(--bg-color);
}
.footer-container{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
    gap: 1.5rem;
}
.footer-box{
    display: flex;
    flex-direction: column;
}
.footer-box .logo{
    font-size: .9rem;
    max-width: 80px;
    color: var(--bg-color);
    margin-bottom: 1rem;
}
.footer-box h3{
    font-size: 1.07rem;
    font-weight: 500;
    letter-spacing: 1px;
    text-transform: uppercase;
    margin-bottom: 1rem;
}
.footer-box p{
    font-size: .94rem;
    color: #f1f1f1;
    margin-bottom: 1rem;
}
.social{
    display: flex;
    align-items: center;
    gap: 10px;
}
.social i{
    padding: 5px;
    border: 1px solid var(--text-alter-color);
    color: var(--bg-color);
}
.social i:hover{
    background: var(--main-color);
    transition: .4s all linear;
}
.footer-box a{
    font-size: .9rem;
    color: #d1d1d1;
    margin-bottom: 0.7rem;
}
.footer-box a:hover{
    color: var(--bg-color);
    transition: .4s all;
}
.copyright{
    text-align: center;
    background: var(--text-color);
    padding: 30px 0;
    font-size: .87rem;
    font-weight: 500;
    color: var(--bg-color);
}

/* Responsive */
@media (max-width: 1064px){
    .container{
        margin: 0 auto;
        width: 90%;
    }
    .heading{
        margin-bottom: 1.5rem !important;
    }
}

@media (max-width: 1010px){
    .home h1{
        font-size: 4.2rem;
        line-height: 3rem;
    }
    .home-content{
        flex-direction: column;
        padding-bottom: 1.5rem;
    }
    .home-data, .helmet-box{
        order: 2;
    }
    .home-data{
        display: flex;
        text-align: center;
    }
}

@media (max-width: 768px){
    .nav{
        padding: 15px 0;
    }
    .home{
        padding-top: 5rem !important;
    }
    section{
        padding: 2rem 0;
    }
    .sign-up{
        display: none;
    }
    .mobile-sign-up{
        display: initial;
    }
    .menu-icon{
        display: flex;
    }
    .navbar{
        position: absolute;
        top: 0;
        right: 0;
        flex-direction: column;
        justify-content: center;
        min-height: 100vh;
        width: 300px;
        background: var(--bg-color);
        padding: 20px;
        clip-path: polygon(100% 0 , 100% 0, 100% 100%, 100% 100%);
        transition: .4s all cubic-bezier(0.075, 0.82, 0.165, 1);
    }
    .nav-link{
        display: block;
        margin-bottom: 1.5rem;
    }
    .open-menu{
        clip-path: polygon(0 0 , 100% 0, 100% 100%, 0% 100%);
        transition: .4s all cubic-bezier(0.075, 0.82, 0.165, 1);
    }
}

@media (max-width: 576px){
    .home h1{
        font-size: 3.2rem;
        line-height: 2rem;
    }
    .heading h2{
        font-size: 1.4rem;
    }
    .heading span{
        font-size: .8rem;
    }
}

@media (max-width: 480px){
    .home h1{
        font-size: 2.2rem;
        line-height: 1rem;
    }
    .home-data{
        flex-direction: column;
    }
}
@media (max-width: 360px){
    .navbar{
        width: 100%;
    }
}